Subject: Re: [nfsv4] Extended Attributes NFSv4

From: <[email-masked]>
Date: Tue, 30 Jul 2019 15:47:24 +0000

Victor,

Just to keep you expectations low, the NFSv4 WG rejected the idea of using extended attributes that were specified in the rfc 8276. It seems nobody implemented xattr per the rfc. If you have any plans for that please let the NFSv4 WG know sending this email to the nfsv4 list I added here. Thanks

./Sorin

From: Victor A Asencio Casiano <[email-masked]>
Sent: Tuesday, July 30, 2019 10:43 AM
To: faibish, sorin; Shilane, Philip; Black, David
Cc: [email-masked]; [email-masked]
Subject: Extended Attributes NFSv4

[EXTERNAL EMAIL]
Good morning, I’m currently interested in adding extended attributes to NFSv4 and I would like if you can send me in the right direction. RFC 8276 and your draft (Support for Data Reduction Extended Attributes in nfsv4 Version 2) are the only serious documents that I found about this topic. I would like to know if Extended Attributes have been already implemented somewhere that I can test it out, or If someone try to implement this before or any source code that I can reach out or any draft code? Besides the code portions that appears on RFC 8276.

Thanks for your help.